curl --request POST \
--url https://cloud.kaneo.app/api/gitea-integration/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseUrl": "<string>",
"accessToken": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>"
}
'{
"isInstalled": true,
"hasRequiredPermissions": true,
"repositoryExists": true,
"repositoryPrivate": true,
"missingPermissions": [
"<string>"
],
"message": "<string>"
}Verify Gitea token and repository access
curl --request POST \
--url https://cloud.kaneo.app/api/gitea-integration/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseUrl": "<string>",
"accessToken": "<string>",
"repositoryOwner": "<string>",
"repositoryName": "<string>"
}
'{
"isInstalled": true,
"hasRequiredPermissions": true,
"repositoryExists": true,
"repositoryPrivate": true,
"missingPermissions": [
"<string>"
],
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication
Was this page helpful?